/*
 *	Some functions not available under COHERENT 4.0
 *
 *	Udo Munk (udo@umunk.GUN.de)
 */

#ifdef STRDUP
char *strdup(s)
const char *s;
{
	char *p;

	p = (char *)malloc(strlen(s)+1);
	if (p != (char *)0)
		strcpy(p, s);
	return p;
}
#endif

#ifdef BZERO
void bzero(s, n)
register char *s;
register int n;
{
	memset(s, 0, n);
}
#endif
